Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.contents
Enum TextRenderModeEnum

    java.lang.Object
      java.lang.Enum<TextRenderModeEnum>
          org.pdfclown.documents.contents.TextRenderModeEnum

All Implemented Interfaces:
  Serializable, Comparable<TextRenderModeEnum>

    @PDF(value=PDF10)
    public enum TextRenderModeEnum

extends Enum<TextRenderModeEnum>

Glyph-outlines appearance on text showing [PDF:1.6:5.2.5].

Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Enum Constant Summary
`Clip` Apply text glyphs to path for clipping.
`Fill` Fill text glyphs.
`FillClip` Fill text glyphs, then apply to path for clipping.
`FillStroke` Fill, then stroke text glyphs.
`FillStrokeClip` Fill, then stroke text glyphs, then apply to path for clipping.
`Invisible` Do nothing (invisible text glyphs).
`Stroke` Stroke text glyphs.
`StrokeClip` Stroke text glyphs, then apply to path for clipping.

Method Summary
`int` | `getCode()`
`static TextRenderModeEnum` | `valueOf(int code)`
`static TextRenderModeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TextRenderModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Fill

    public static final TextRenderModeEnum Fill

  Fill text glyphs.

### Stroke

    public static final TextRenderModeEnum Stroke

  Stroke text glyphs.

### FillStroke

    public static final TextRenderModeEnum FillStroke

  Fill, then stroke text glyphs.

### Invisible

    public static final TextRenderModeEnum Invisible

  Do nothing (invisible text glyphs).

### FillClip

    public static final TextRenderModeEnum FillClip

  Fill text glyphs, then apply to path for clipping.

### StrokeClip

    public static final TextRenderModeEnum StrokeClip

  Stroke text glyphs, then apply to path for clipping.

### FillStrokeClip

    public static final TextRenderModeEnum FillStrokeClip

  Fill, then stroke text glyphs, then apply to path for clipping.

### Clip

    public static final TextRenderModeEnum Clip

  Apply text glyphs to path for clipping.

Method Detail

### values

    public static TextRenderModeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TextRenderModeEnum c : TextRenderModeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TextRenderModeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static TextRenderModeEnum valueOf(int code)

### getCode

    public int getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.